lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jan Høydahl (JIRA) <j...@apache.org>
Subject [jira] [Updated] (SOLR-12786) Upgrade refGuide build to Asciidoctor 1.5.7 and new link structure
Date Thu, 20 Sep 2018 14:58:00 GMT

     [ https://issues.apache.org/jira/browse/SOLR-12786?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jan Høydahl updated SOLR-12786:
-------------------------------
    Description: 
Currently the refguide build requires asciidoctor 1.5.6.2.

People using {{gem install jekyll-asciidoc}} will end up with version 1.5.7, causing different
header ID syntax and the build will break.

Long term we should move to latest asciidoctor.

Short term we can document how to install jekyll-asciidoc with the exact version needed:
{noformat}
gem install asciidoctor:1.5.6.2 jekyll-asciidoc
{noformat}

  was:
The refguide build aborts due to this.

Example: "updating-solr-s-include-files" should instead be "updating-solrs-include-files"
since apostrophe is not replaced with dash.


> Upgrade refGuide build to Asciidoctor 1.5.7 and new link structure
> ------------------------------------------------------------------
>
>                 Key: SOLR-12786
>                 URL: https://issues.apache.org/jira/browse/SOLR-12786
>             Project: Solr
>          Issue Type: Bug
>      Security Level: Public(Default Security Level. Issues are Public) 
>          Components: Build, documentation
>    Affects Versions: master (8.0)
>            Reporter: Jan Høydahl
>            Assignee: Jan Høydahl
>            Priority: Major
>         Attachments: SOLR-12786.patch
>
>
> Currently the refguide build requires asciidoctor 1.5.6.2.
> People using {{gem install jekyll-asciidoc}} will end up with version 1.5.7, causing
different header ID syntax and the build will break.
> Long term we should move to latest asciidoctor.
> Short term we can document how to install jekyll-asciidoc with the exact version needed:
> {noformat}
> gem install asciidoctor:1.5.6.2 jekyll-asciidoc
> {noformat}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message